Name:       uio-gpg-keys
Version:    0.5
Release:    1%{?dist}
Summary:    UiO RPM keys

Group:      System Environment/Base
License:    GPLv2

URL:        http://rpm.uio.no/rpm-gpg/
Source0:    GPL
Source1:    RPM-GPG-KEY-UIO
Source2:    RPM-GPG-KEY-uio-el7-postmaster
Source3:    RPM-GPG-KEY-uio-el8-free
Source4:    RPM-GPG-KEY-uio-el8-postmaster
Source5:    RPM-GPG-KEY-uio-el9-free
Source6:    RPM-GPG-KEY-uio-el9-postmaster
Source7:    RPM-GPG-KEY-uio-el10-free
Source39:   RPM-GPG-KEY-uio-f39-free
Source40:   RPM-GPG-KEY-uio-f40-free
Source41:   RPM-GPG-KEY-uio-f41-free
Source42:   RPM-GPG-KEY-uio-f42-free

BuildArch:  noarch

%description
This package provides the UiO RPM signature keys.

%prep
%setup -q -c -T
install -pm 644 %{SOURCE0} .

%build

%install
# GPG Keys
install -d -m 0755 %{buildroot}%{_sysconfdir}/pki
install -d -m 0755 %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -m 0644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} \
    %{SOURCE6} %{SOURCE7} %{SOURCE39} %{SOURCE40} %{SOURCE41} %{SOURCE42} \
    %{buildroot}%{_sysconfdir}/pki/rpm-gpg

# symlinks for old stuff
pushd %{buildroot}%{_sysconfdir}/pki/rpm-gpg/
ln -s RPM-GPG-KEY-UIO RPM-GPG-KEY-uio-f37-free
ln -s RPM-GPG-KEY-UIO RPM-GPG-KEY-uio-f38-free
ln -s RPM-GPG-KEY-UIO RPM-GPG-KEY-uio-el6-free
ln -s RPM-GPG-KEY-UIO RPM-GPG-KEY-uio-el7-free
popd

%files
%defattr(-,root,root,-)
%doc GPL
/etc/pki/rpm-gpg/RPM-GPG-KEY-*


%changelog
* Mon May 26 2025 Trond Hasle Amundsen <trondham@uio.no> - 0.5-1
- Add key for RHEL 10

* Tue Apr  1 2025 Trond Hasle Amundsen <trondham@uio.no> - 0.4-1
- Add key for Fedora 42

* Wed Nov  6 2024 Trond Hasle Amundsen <trondham@uio.no> - 0.3-1
- Add key for Fedora 41

* Fri Apr 12 2024 Trond Hasle Amundsen <trondham@uio.no> - 0.2-1
- Add key for Fedora 40

* Tue Nov  7 2023 Trond Hasle Amundsen <trondham@uio.no> - 0.1-1
- Initial build
